// Write your styles here
@mixin header-background {
  height: 600px;
  width: 1260px;
  background: url($header-backgroundim) 100% 100%;
  background-size: cover;
  background-repeat: no-repeat;
  border-bottom-right-radius: 270px;
  margin-left: -7px;
  margin-top: -15px
}
@mixin headbut {
  margin-left: 100px;
  margin-top: -50px;
  color: white;
  background-color: map-get($mycolors, button);
  height: 40px;
  width: 105px;
  border-radius: 0px;
  border-color: map-get($mycolors, button);
  border-top: none;
  border-left: none;
  border-right: none;
  border-bottom: none;
}
@mixin headhref {
  margin-left: 200px;
  color: white;
}
@mixin foo {
  color: map-get($mycolors, wt);
  position: absolute;
  margin-top: 145px;
  padding-left: 450px;
  text-align: justify;
  font-size: 10px;
  width: 230px;
  font-family: "Source Sans Pro", sans-serif;
}
body {
  background-color: map-get($mycolors, bg);
  .header-wrap {
    @include header-background();
  }
  .header {
    .header-wrap {
      .landing-logo {
        margin-left: 70px;
        span {
          position: relative;
          top: 15px;
          right: 45px;
          font-size: 9px;
        }
      }
      img {
        float: left;
        height: 30px;
        margin-top: 10px;
      }
      p {
        font-weight: bold;
        color: map-get($mycolors, color);
        padding: 10px;
        padding-left: 40px;
      }
      .header_heading {
        font-size: 50px;
        width: 400px;
        margin-left: 65px;
        margin-top: 40px;
        font-family: "Source Sans Pro", sans-serif;
        font-weight: bold;
        color: map-get($mycolors, color);
        span {
          background-color: map-get($mycolors, marker);
          padding: 0px;
        }
      }
      .header_text {
        margin-left: 20px;
        font-size: 15px;
        width: 530px;
        font-weight: lighter;
        color: map-get($mycolors, color);
        white-space: pre;
        line-height: 1.5;
        margin-top: -20px;
      }
      .header_button {
        @include headbut();
      }
      .login {
        @include headhref();
      }
    }
  }
  .section {
    .section_text {
      @extend .header_heading;
      width: 400px;
      font-size: 30px;
      margin-left: 440px;
      color: map-get($mycolors, color);
      span {
        background-color: map-get($mycolors, marker);
      }
    }
    .section_card_wrap {
      .section_card {
        height: 240px;
        width: 700px;
        margin-left: 270px;
        background-color: map-get($mycolors, main);
        border-radius: 8px;
        .section_card_img {
          float: left;
          height: 200px;
          width: 300px;
          padding-top: 20px;
          padding-left: 20px;
          padding-bottom: 20px;
          padding-right: 50px;
        }
        .section_card_right_container {
          .section_card_heading {
            margin-left: 450px;
            margin-top: 20px;
            padding-top: 30px;
            font-family: "Source Sans Pro", sans-serif;
            font-weight: bolder;
            font-size: 20px;
            color: map-get($mycolors, wt);
          }
          .section_card_text {
            @extend .header_heading;
            font-size: 15px;
            width: 660px;
            text-align: justify;
            color: map-get($mycolors, text);
          }
          .section_link {
            @include headhref();
            color: map-get($mycolors, text);
            margin-left: 100px;
          }
        }
      }
    }
  }
  .section_banner {
    width: 700px;
    margin-top: 100px;
    margin-left: 250px;
    height: 125px;
    background: map-get($mycolors, gradient);
    border-radius: 6px;
    position: absolute;
    margin-top: 80px;
    .section_banner_text_wrap {
      margin-top: -40px;
      .section_banner_heading {
        padding-left: 40px;
        font-family: "Source Sans Pro", sans-serif;
        color: map-get($mycolors, color);
        font-size: 25px;
        font-weight: bolder;
        width: 400px;
        margin-top: 70px;

span {
          background-color: map-get($mycolors, marker);
        }
      }
      .section_banner_text {
        @extend .section_banner_heading;
        font-size: 15px;
        color: rgba(199, 193, 193, 0.89);
        margin-top: -10px;
      }
    }
  }
  .section_banner_button {
    @include headbut();
    margin-left: 500px;
    position: absolute;
    margin-top: -65px;
  }
}
.footer {
  .footer-wrap {
    background-color: map-get($mycolors, footer);
    width: 1250px;
    margin-top: 125px;
    height: 200px;
    .footer_logo {
      padding-left: 100px;
      img {
        float: left;
        height: 30px;
        margin-top: 10px;
        margin-top: 150px;
      }
      p {
        position: absolute;
        font-weight: bold;
        color: map-get($mycolors, wt);
        padding: 10px;
        padding-left: 40px;
        margin-top: 140px;
      }
      span {
        position: relative;
        top: 15px;
        right: 45px;
        font-size: 9px;
        margin-top: 150px;
      }
    }
    .footer_text {
      @include foo();
    }
    .footer-cr {
      @include foo();
      padding-left: 900px;
    }
  }
}